import { Component } from '@a11d/lit';
import type * as CSS from 'csstype';
export type FlexDirection = 'horizontal' | 'vertical' | 'horizontal-reversed' | 'vertical-reversed';
/**
 * @attr direction
 * @attr wrap
 * @attr gap
 * @attr justifyItems
 * @attr justifyContent
 * @attr alignItems
 * @attr alignContent
 *
 * @slot - The content of the flex container.
 */
export declare class Flex extends Component {
    private static readonly flexDirectionByDirections;
    get direction(): FlexDirection;
    set direction(value: FlexDirection);
    get wrap(): CSS.Property.FlexWrap;
    set wrap(value: CSS.Property.FlexWrap);
    get gap(): CSS.Property.Gap<string>;
    set gap(value: CSS.Property.Gap<string>);
    get justifyItems(): CSS.Property.JustifyItems;
    set justifyItems(value: CSS.Property.JustifyItems);
    get justifyContent(): CSS.Property.JustifyContent;
    set justifyContent(value: CSS.Property.JustifyContent);
    get alignItems(): CSS.Property.AlignItems;
    set alignItems(value: CSS.Property.AlignItems);
    get alignContent(): CSS.Property.AlignContent;
    set alignContent(value: CSS.Property.AlignContent);
    static get styles(): import("@a11d/lit").CSSResult;
    protected get template(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'mo-flex': Flex;
    }
}
//# sourceMappingURL=Flex.d.ts.map