import { Component } from '@a11d/lit';
import { type MaterialIcon } from '@3mo/icon';
/**
 * @attr icon - The icon to display.
 * @attr disabled - Disables the icon-button.
 * @attr dense - Reduces the size of the icon-button.
 *
 * @slot icon - Use The icon to be displayed inside the button.
 *
 * @csspart button - The native button element wrapping the icon-button.
 */
export declare class IconButton extends Component {
    icon: MaterialIcon;
    disabled: boolean;
    dense: boolean;
    static get styles(): import("@a11d/lit").CSSResult;
    protected get template(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'mo-icon-button': IconButton;
    }
}
//# sourceMappingURL=IconButton.d.ts.map