import { Component } from '@a11d/lit';
import { Popover } from '@3mo/popover';
import { TooltipPlacement } from './TooltipPlacement.js';
/**
 * @element mo-tooltip
 *
 * @attr placement - The placement of the tooltip.
 * @attr anchor - The element id that the tooltip is anchored to.
 *
 * @slot - Default slot for tooltip content
 */
export declare class Tooltip extends Component {
    placement?: TooltipPlacement;
    anchor?: HTMLElement;
    protected rich?: boolean;
    protected readonly popover: Popover;
    static get styles(): import("@a11d/lit").CSSResult;
    protected get template(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'mo-tooltip': Tooltip;
    }
}
//# sourceMappingURL=Tooltip.d.ts.map