import { AsyncDirective, type ElementPart, type HTMLTemplateResult, type PartInfo } from '@a11d/lit';
import { TooltipPlacement } from './TooltipPlacement.js';
type TooltipDirectiveParameters = [content: string | HTMLTemplateResult, placement?: TooltipPlacement];
export declare class TooltipDirective extends AsyncDirective {
    private tooltip?;
    constructor(partInfo: PartInfo);
    update(part: ElementPart, [content, placement]: TooltipDirectiveParameters): unknown;
    render(...parameters: TooltipDirectiveParameters): HTMLTemplateResult;
    protected disconnected(): void;
}
export declare const tooltip: (content: string | HTMLTemplateResult, placement?: TooltipPlacement | undefined) => import("lit-html/directive.js").DirectiveResult<typeof TooltipDirective>;
export {};
//# sourceMappingURL=TooltipDirective.d.ts.map