import type { OptionsWithLanguage } from './OptionsWithLanguage.js';
type DateFormatOptions = OptionsWithLanguage<Intl.DateTimeFormatOptions>;
export declare function extractDateTimeOptions(options?: DateFormatOptions): readonly [import("../LanguageCode.js").LanguageCode, {
    localeMatcher?: "best fit" | "lookup" | undefined;
    weekday?: "short" | "long" | "narrow" | undefined;
    era?: "short" | "long" | "narrow" | undefined;
    year?: "numeric" | "2-digit" | undefined;
    month?: "short" | "long" | "narrow" | "numeric" | "2-digit" | undefined;
    day?: "numeric" | "2-digit" | undefined;
    hour?: "numeric" | "2-digit" | undefined;
    minute?: "numeric" | "2-digit" | undefined;
    second?: "numeric" | "2-digit" | undefined;
    timeZoneName?: "short" | "long" | "shortOffset" | "longOffset" | "shortGeneric" | "longGeneric" | undefined;
    formatMatcher?: "best fit" | "basic" | undefined;
    hour12?: boolean | undefined;
    timeZone?: string | undefined;
    calendar?: string | undefined;
    dayPeriod?: "short" | "long" | "narrow" | undefined;
    numberingSystem?: string | undefined;
    dateStyle?: "medium" | "short" | "long" | "full" | undefined;
    timeStyle?: "medium" | "short" | "long" | "full" | undefined;
    hourCycle?: "h11" | "h12" | "h23" | "h24" | undefined;
    fractionalSecondDigits?: 2 | 1 | 3 | undefined;
} | undefined];
declare global {
    interface Date {
        format(options?: DateFormatOptions): string;
    }
}
export {};
//# sourceMappingURL=Date.format.d.ts.map