import type { OptionsWithLanguage } from './OptionsWithLanguage.js';
type FormatAsUnitOptions = OptionsWithLanguage<Omit<Intl.NumberFormatOptions, 'style' | 'currency' | 'currencyDisplay' | 'currencySign'>>;
type SingleUnit = 'acre' | 'bit' | 'byte' | 'celsius' | 'centimeter' | 'day' | 'degree' | 'fahrenheit' | 'fluid-ounce' | 'foot' | 'gallon' | 'gigabit' | 'gigabyte' | 'gram' | 'hectare' | 'hour' | 'inch' | 'kilobit' | 'kilobyte' | 'kilogram' | 'kilometer' | 'liter' | 'megabit' | 'megabyte' | 'meter' | 'mile' | 'mile-scandinavian' | 'milliliter' | 'millimeter' | 'millisecond' | 'minute' | 'month' | 'ounce' | 'percent' | 'petabyte' | 'pound' | 'second' | 'stone' | 'terabit' | 'terabyte' | 'week' | 'yard' | 'year';
declare global {
    interface Number {
        formatAsUnit(unit: Unit, options?: FormatAsUnitOptions): string;
    }
    type Unit = SingleUnit | `${SingleUnit}-per-${SingleUnit}`;
}
export {};
//# sourceMappingURL=Number.formatAsUnit.d.ts.map